Page MenuHomePhabricator

Decom/Reclaim analytics1027
Closed, ResolvedPublic3 Story Points

Description

analytics1027 needs to be decommissioned.

  • - confirm system is not serving traffic
  • - remove from any dsh groiups, lvs, heira, all puppet references
  • - if system will stay on for awhile, put in as site.pp in role::spare. if turning off, this can be skipped
  • - power down system
  • - disable system network switch port (must be done after system is powered off!)
  • - remove production dns entries (leave mgmt until system is unracked.)
  • - system disks wiped (by onsite)
  • - system unracked for decom (by onsite), racktables updated
  • - system mgmt dns entries removed.
  • - system's network port info wiped from switches

Details

Related Gerrit Patches:
operations/puppet : productionsite.pp: remove analytics1027, decom
operations/puppet : productionPrepare analytics1027 for decommission

Event Timeline

elukey created this task.Mar 28 2017, 10:31 AM
Restricted Application added a project: Operations. · View Herald TranscriptMar 28 2017, 10:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 345117 had a related patch set uploaded (by Elukey):
[operations/puppet@production] Prepare analytics1027 for decommission

https://gerrit.wikimedia.org/r/345117

Nuria assigned this task to elukey.Mar 30 2017, 3:56 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.
Nuria set the point value for this task to 3.
Nuria moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 345117 merged by Elukey:
[operations/puppet@production] Prepare analytics1027 for decommission

https://gerrit.wikimedia.org/r/345117

elukey reassigned this task from elukey to Cmjohnson.Mar 31 2017, 2:32 PM
elukey updated the task description. (Show Details)

Chris the host is atm set as role::spare, but whenever you are ready I can cleanup the rest of the puppet entries (DHCP, etc..). Let me know how you'd like to proceed, not sure if this host will be reclaimed or just decommed.

Nuria edited projects, added Analytics; removed Analytics-Kanban.Apr 13 2017, 3:16 PM
Nuria moved this task from Incoming to Radar on the Analytics board.
Cmjohnson lowered the priority of this task from Medium to Low.Apr 27 2017, 7:47 PM
Cmjohnson moved this task from Backlog to Not urgent on the ops-eqiad board.Apr 27 2017, 8:28 PM
Cmjohnson moved this task from Not urgent to Up next on the ops-eqiad board.May 4 2017, 6:15 PM

Change 352853 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/dns@master] Remvoing all dns entries for decom host analyitcs1027 T161597

https://gerrit.wikimedia.org/r/352853

Change 352853 merged by Cmjohnson:
[operations/dns@master] Remvoing all dns entries for decom host analyitcs1027 T161597

https://gerrit.wikimedia.org/r/352853

Cmjohnson updated the task description. (Show Details)May 9 2017, 3:42 PM

Change 352856 had a related patch set uploaded (by Cmjohnson; owner: Cmjohnson):
[operations/puppet@production] Removing analytics1027 from dhcpd file T161597

https://gerrit.wikimedia.org/r/352856

Change 352856 merged by Cmjohnson:
[operations/puppet@production] Removing analytics1027 from dhcpd file T161597

https://gerrit.wikimedia.org/r/352856

Dzahn added a subscriber: Dzahn.May 9 2017, 8:28 PM

@elukey system is still in Icinga, causing alerts, has the puppet/salt part been done ? decom tasks should ideally have the full check list from https://wikitech.wikimedia.org/wiki/Server_Lifecycle/reclaim_checklist

@Dzahn, I jumped on this too early. None of those things were done prior
to me doing my pet. Its now iwiped and all switch ports are disabled.

Change 352978 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site.pp: remove analytics1027, decom

https://gerrit.wikimedia.org/r/352978

Change 352978 merged by Dzahn:
[operations/puppet@production] site.pp: remove analytics1027, decom

https://gerrit.wikimedia.org/r/352978

Mentioned in SAL (#wikimedia-operations) [2017-05-09T23:13:04Z] <mutante> analytics1027 - decom: revoke puppet cert, delete salt key, puppet node clean/deactivate, check icinga removal (T161597)

Dzahn closed this task as Resolved.May 9 2017, 11:27 PM

removed from site.pp / puppet / salt / icinga ^. that should be all now. i don't see it anywhere else.

Thanks @Dzahn! Next time I will not put the host in role spare but I'll remove everything!